Mailinglist Archive: opensuse-buildservice (272 mails)

< Previous Next >
[opensuse-buildservice] Re: Substitute: in prjconf doesn't work
  • From: Stephan Kleine <bitdealer@xxxxxxxxx>
  • Date: Sat, 13 Nov 2010 04:28:10 +0100
  • Message-id: <201011130428.11096.bitdealer@xxxxxxxxx>
Sorry, the above was a screwup of mine (I buildRequired libqtwebkit-dev)....

Point being, while having the bellow prjconf my 10.04 build works fine since
QtWebKit/QWebView.h is in libqt4-dev but the substitute doesn't kick in for
10.10 to install libqtwebkit-dev (since 10.10 does have that header only in
libqtwebkit-dev).

IOW: the substitute line in the prjconf of home:bitshuffler:test doesn't work.

So, how to use Substitute properly for .deb based builds?

On Saturday November 13 2010 03:44:21 Stephan Kleine wrote:
Hi folks,

I have

%if 0%{?ubuntu_version} > 1004
Substitute: libqt4-dev libqtwebkit-dev
%endif

in the prjconf of home:bitshuffler:test/gsd

Still my builds fail with

Building gsd.dsc for xUbuntu_10.04/x86_64
Getting buildinfo from server and store to
/home/stephan/home:bitshuffler:test/gsd/.osc/_buildinfo-xUbuntu_10.04-
x86_64.xml
Getting buildconfig from server and store to
/home/stephan/home:bitshuffler:test/gsd/.osc/_buildconfig-xUbuntu_10.04-x86
_64 buildinfo is broken... it says:
unresolvable: nothing provides libqtwebkit-dev

on 10.04 which is fine since libqtwebkit-dev doesn't exist here cause it
got introduced with 10.10 but to the best of my knowledge the %if clause
in the prjconf should cover that.

IOW: how to replace "libqt4-dev" with "libqtwebkit-dev" in >= Ubuntu 10.10?

regards,
Stephan
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
References